/*
 *  soapUI, copyright (C) 2006 eviware.com 
 *
 *  soapUI is free software; you can redistribute it and/or modify it under the 
 *  terms of the GNU Lesser General Public License as published by the Free Software Foundation; 
 *  either version 2.1 of the License, or (at your option) any later version.
 *
 *  soapUI is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
 *  even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 *  See the GNU Lesser General Public License for more details at gnu.org.
 */

package com.eviware.soapui.impl;

import java.awt.Component;

import com.eviware.soapui.model.ModelItem;
import com.eviware.soapui.model.PanelBuilder;
import com.eviware.soapui.ui.desktop.DesktopPanel;

/**
 * Empty PanelBuilder implementation for extension.
 * 
 * @author Ole.Matzura
 */

public class EmptyPanelBuilder<T extends ModelItem> implements PanelBuilder<T>
{
	private static final EmptyPanelBuilder instance = new EmptyPanelBuilder();
	
	public static EmptyPanelBuilder get()
	{
		return instance;
	}
	
   public boolean hasOverviewPanel()
   {
      return false;
   }

   public Component buildOverviewPanel( T modelItem )
   {
      return null;
   }

   public boolean hasDesktopPanel()
   {
      return false;
   }

   public DesktopPanel buildDesktopPanel( T modelItem )
   {
      return null;
   }
}
