/*
 *  soapUI, copyright (C) 2006 eviware.com 
 *
 *  soapUI is free software; you can redistribute it and/or modify it under the 
 *  terms of the GNU Lesser General Public License as published by the Free Software Foundation; 
 *  either version 2.1 of the License, or (at your option) any later version.
 *
 *  soapUI is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
 *  even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 *  See the GNU Lesser General Public License for more details at gnu.org.
 */

package com.eviware.soapui.model.support;

import java.util.List;

import com.eviware.soapui.model.ModelItem;

/**
 * Utility methods for soapui model-related interfaces
 *  
 * @author Ole.Matzura
 */

public class ModelSupport
{
	public static String[] getNames(List<? extends ModelItem> list)
	{
		String [] names = new String[list.size()];
		for( int c = 0; c < names.length; c++ )
		{
			names[c] = list.get( c ).getName();
		}
		
		return names;
	}
	
	public static String[] getNames( String [] firstItems, List<? extends ModelItem> list)
	{
		String [] names = new String[list.size()+firstItems.length];
		for( int c = 0; c < firstItems.length; c++ )
		{
			names[c] = firstItems[c];
		}
		
		for( int c = 0; c < list.size(); c++ )
		{
			names[c+firstItems.length] = list.get( c ).getName();
		}
		
		return names;
	}

	public static String[] getNames( List<? extends ModelItem> list, String [] lastItems)
	{
		String [] names = new String[list.size()+lastItems.length];
		for( int c = 0; c < lastItems.length; c++ )
		{
			names[c+list.size()] = lastItems[c];
		}
		
		for( int c = 0; c < list.size(); c++ )
		{
			names[c] = list.get( c ).getName();
		}
		
		return names;
	}

}
