package com.eviware.soapui.impl.wsdl.submit.filters;

import com.eviware.soapui.impl.wsdl.WsdlSubmitContext;

import junit.framework.TestCase;

public class PropertyExpansionTestCase extends TestCase
{
   public void testExpansion() throws Exception
   {
   	WsdlSubmitContext context = new WsdlSubmitContext( null );
   	
   	context.setProperty( "test", "value" );
   	
   	assertEquals( "value", PropertyExpansionRequestFilter.expandProperties( context, "${test}" ));
   	assertEquals( "value", PropertyExpansionRequestFilter.expandProperties( context, "${#test}" ));
   	assertEquals( " value ", PropertyExpansionRequestFilter.expandProperties( context, " ${test} " ));
   	assertEquals( "${testa}", PropertyExpansionRequestFilter.expandProperties( context, "${testa}" ));
   	assertEquals( "valuevalue", PropertyExpansionRequestFilter.expandProperties( context, "${test}${test}" ));
   	assertEquals( "${testvalue}", PropertyExpansionRequestFilter.expandProperties( context, "${test${test}}" ));
   }
   
   public void testXPathExpansion() throws Exception 
   {
   	WsdlSubmitContext context = new WsdlSubmitContext( null );
   	
   	context.setProperty( "test", "<test><value>hello</value></test>" );
   	assertEquals( "hello", PropertyExpansionRequestFilter.expandProperties( context, "${#test#//value/text()}" ));
   }
}
