/*
 *  soapui, copyright (C) 2005 Ole Matzura / eviware.com 
 *
 *  soapUI is free software; you can redistribute it and/or modify it under the 
 *  terms of the GNU Lesser General Public License as published by the Free Software Foundation; 
 *  either version 2.1 of the License, or (at your option) any later version.
 *
 *  soapUI is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
 *  even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 *  See the GNU Lesser General Public License for more details at gnu.org.
 */

package com.eviware.soapui.tools;

import junit.framework.TestCase;

public class TestCaseRunnerTestCase extends TestCase
{
    public void testReplaceHost() throws Exception
    {
   	 assertEquals( "http://test2:8080/test", 
   			 SoapUITestCaseRunner.replaceHost( "http://test:8080/test", "test2" ));

   	 assertEquals( "http://test2/test", 
   			 SoapUITestCaseRunner.replaceHost( "http://test/test", "test2" ));

   	 assertEquals( "http://test2:8080", 
   			 SoapUITestCaseRunner.replaceHost( "http://test:8080", "test2" ));

   	 assertEquals( "http://test2", 
   			 SoapUITestCaseRunner.replaceHost( "http://test", "test2" ));
   	 
   	 assertEquals( "http://test2:8081", 
   			 SoapUITestCaseRunner.replaceHost( "http://test:8080", "test2:8081" ));
   	 
   	 assertEquals( "http://test2:8081/test", 
   			 SoapUITestCaseRunner.replaceHost( "http://test:8080/test", "test2:8081" ));
    }
}
